# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/powerpc/fsl/fsl,mpc83xx.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Freescale PowerQUICC II Pro (MPC83xx) platforms

maintainers:
  - J. Neuschäfer <j.ne@posteo.net>

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - description: MPC83xx Reference Design Boards
        items:
          - enum:
              - fsl,mpc8308rdb
              - fsl,mpc8315erdb
              - fsl,mpc8360rdk
              - fsl,mpc8377rdb
              - fsl,mpc8377wlan
              - fsl,mpc8378rdb
              - fsl,mpc8379rdb

      - description: MPC8313E Reference Design Board
        items:
          - const: MPC8313ERDB
          - const: MPC831xRDB
          - const: MPC83xxRDB

      - description: MPC8323E Reference Design Board
        items:
          - const: MPC8323ERDB
          - const: MPC832xRDB
          - const: MPC83xxRDB

      - description: MPC8349E-mITX(-GP) Reference Design Platform
        items:
          - enum:
              - MPC8349EMITX
              - MPC8349EMITXGP
          - const: MPC834xMITX
          - const: MPC83xxMITX

      - description: Keymile KMETER1 board
        const: keymile,KMETER1

      - description: MPC8308 P1M board
        const: denx,mpc8308_p1m

patternProperties:
  "^soc@.*$":
    type: object
    properties:
      compatible:
        oneOf:
          - items:
              - enum:
                  - fsl,mpc8315-immr
                  - fsl,mpc8308-immr
              - const: simple-bus
          - items:
              - const: fsl,mpc8360-immr
              - const: fsl,immr
              - const: fsl,soc
              - const: simple-bus
          - const: simple-bus

additionalProperties: true

examples:
  - |
    / {
        compatible = "fsl,mpc8315erdb";
        model = "MPC8315E-RDB";
        #address-cells = <1>;
        #size-cells = <1>;

        soc@e0000000 {
            compatible = "fsl,mpc8315-immr", "simple-bus";
            reg = <0xe0000000 0x00000200>;
            #address-cells = <1>;
            #size-cells = <1>;
            device_type = "soc";
            ranges = <0 0xe0000000 0x00100000>;
            bus-frequency = <0>;
        };
    };

...
